<?xml version="1.0" encoding="UTF-8"?>
<REPORTXML>
	<DATAMANAGER>TAR017</DATAMANAGER>
	<REPORTHEADER tdesc="รายงานใบเปลี่ยนกะ" edesc="Change Shift Report"/>
	<REFER_LANG>true</REFER_LANG>
	<LINKTABLE>
		<FIELD>TCHANGESHIFT_NSTDA</FIELD>
		<FIELD>MEMPLOYEE</FIELD>
	</LINKTABLE>
	<HELP>
		<FIELD name="SHIFTID" help="TCHSHIFTHELP"/>
	</HELP>
	<FIXFILTER>
		<FIELD tablename="TCHANGESHIFT_NSTDA" value=""/>
	</FIXFILTER>
	<VFIELD>
		<FIELD  type="String"  size="100">Memployee.fullname</FIELD>
	</VFIELD>

	<GROUP >
		<FIELD DESC="mbranch.edesc" LABEL="BRANCH CODE">MEMPLOYEE.branch</FIELD>
		<FIELD DESC="mbu1.edesc" LABEL="BU1 CODE">MEMPLOYEE.bu1</FIELD>
		<FIELD DESC="mbu2.edesc" LABEL="BU2 CODE">MEMPLOYEE.bu2</FIELD>
		<FIELD DESC="mbu3.edesc" LABEL="BU3 CODE">MEMPLOYEE.bu3</FIELD>
		<FIELD DESC="mbu4.edesc" LABEL="BU4 CODE">MEMPLOYEE.bu4</FIELD>
		<FIELD DESC="mbu5.edesc" LABEL="BU5 CODE">MEMPLOYEE.bu5</FIELD>
		<FIELD DESC="mgroup.edesc" LABEL="MGROUP CODE">MEMPLOYEE.emp_group</FIELD>
	</GROUP>
	<TEMPLATE>
		<FIELD name="TAR017.jasper"  tdesc="รายงานใบเปลี่ยนกะ" edesc="REPORT CHANGE SHIFT"/>
		<FIELD name="TAR017_EXCEL.jasper"  tdesc="รายงานใบเปลี่ยนกะ(EXCEL)" edesc="REPORT CHANGE SHIFT(EXCEL)"/>
	</TEMPLATE>
	<COMPONENT  link="TAR017">
   		<FIELD type="text" name="STARTDATE" desc="startDate"  size="10" value=""></FIELD>
		<FIELD type="text" name="ENDDATE" desc="startDate"  size="10" value=""></FIELD>
	</COMPONENT>
</REPORTXML>
